FTSimpleLayout.h File Reference
`#include <FTGL/ftgl.h>`

Go to the source code of this file.

## Data Structures

class | FTSimpleLayout
| FTSimpleLayout is a specialisation of FTLayout for simple text boxes. More...

## Functions

FTGLlayout * | ftglCreateSimpleLayout (void)
void | ftglSetLayoutFont (FTGLlayout *, FTGLfont *)
FTGLfont * | ftglGetLayoutFont (FTGLlayout *)
void | ftglSetLayoutLineLength (FTGLlayout *, const float)
float | ftglGetLayoutLineLength (FTGLlayout *)
void | ftglSetLayoutAlignment (FTGLlayout *, const int)
int | ftglGetLayoutAlignment (FTGLlayout *)
int | ftglGetLayoutAlignement (FTGLlayout *)
void | ftglSetLayoutLineSpacing (FTGLlayout *, const float)
float | ftglGetLayoutLineSpacing (FTGLlayout *)

## Function Documentation

## ftglCreateSimpleLayout()

FTGLlayout * ftglCreateSimpleLayout | ( | void |  | ) |

## ftglGetLayoutAlignement()

int ftglGetLayoutAlignement | ( | FTGLlayout * |  | ) |

## ftglGetLayoutAlignment()

int ftglGetLayoutAlignment | ( | FTGLlayout * |  | ) |

## ftglGetLayoutFont()

FTGLfont * ftglGetLayoutFont | ( | FTGLlayout * |  | ) |

## ftglGetLayoutLineLength()

float ftglGetLayoutLineLength | ( | FTGLlayout * |  | ) |

## ftglGetLayoutLineSpacing()

float ftglGetLayoutLineSpacing | ( | FTGLlayout * |  | ) |

## ftglSetLayoutAlignment()

void ftglSetLayoutAlignment | ( | FTGLlayout * | ,
|  | const int |
| ) |  |

## ftglSetLayoutFont()

void ftglSetLayoutFont | ( | FTGLlayout * | ,
|  | FTGLfont * |
| ) |  |

## ftglSetLayoutLineLength()

void ftglSetLayoutLineLength | ( | FTGLlayout * | ,
|  | const float |
| ) |  |

## ftglSetLayoutLineSpacing()

void ftglSetLayoutLineSpacing | ( | FTGLlayout * | ,
|  | const float |
| ) |  |